package schedframe.resources.computing.profiles.energy.thermal;

import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.thermal.ui.ComputingResourceThermalInterface;
import schedframe.resources.computing.profiles.energy.thermal.ui.ThermalInterface;

public class ThermalInterfaceFactory {
	public static ThermalInterface createThermalInterface(ComputingResource resource, ThermalProfile tp){
		if(tp == null)
			return null;
		ThermalInterface thermalInterface = new ComputingResourceThermalInterface(resource, tp);

		return thermalInterface;
	}
}
